<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.1.final using JasperReports Library version 6.20.1-7584acb244139816654f64e2fd57a00d3e31921e  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="REPORT MASUK GUDANG" pageWidth="1118" pageHeight="887" orientation="Landscape" columnWidth="1078" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" isIgnorePagination="true" uuid="6379d661-8973-4f77-a983-cf2edf8d1e2a">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<style name="Crosstab_CD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Crosstab_CT" mode="Opaque" backcolor="#005FB3">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Crosstab_CH" mode="Opaque" backcolor="#F0F8FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Crosstab_CG" mode="Opaque" backcolor="#BFE1FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<parameter name="gudangId" class="java.lang.String"/>
	<parameter name="dariTanggal" class="java.lang.String"/>
	<parameter name="sampaiTanggal" class="java.lang.String"/>
	<queryString>
		<![CDATA[select p.code, p.short_name, kg.value,

(
select sum(dp.quantity)
from tbinventorymovement mv
left join tbdespatchallocation dp on dp.movement = mv.id
left join tbwarehouselocation wlfrom on wlfrom.id = mv.to_location
left join tbwarehousefacility wffrom on wffrom.id = wlfrom.facility
left join tbwarehouselocation wlto on wlto.id = mv.from_location
left join tbwarehousefacility wfto on wfto.id = wlto.facility
where wffrom.id = 2  and wfto.id = 1 and mv.product = p.id and
      wffrom.point_type = 1 and mv.type = 10 and
      DATE(mv.created_date)  between $P{dariTanggal} and $P{sampaiTanggal}
) as gudang_storecp_fromgp,


(
select sum(dp.quantity)
from tbinventorymovement mv
left join tbdespatchallocation dp on dp.movement = mv.id
left join tbwarehouselocation wlfrom on wlfrom.id = mv.to_location
left join tbwarehousefacility wffrom on wffrom.id = wlfrom.facility
left join tbwarehouselocation wlto on wlto.id = mv.from_location
left join tbwarehousefacility wfto on wfto.id = wlto.facility
where wffrom.id = 2  and wfto.id = 3 and mv.product = p.id and
      wffrom.point_type = 1 and mv.type = 10 and
      DATE(mv.created_date)  between $P{dariTanggal} and $P{sampaiTanggal}
) as gudang_storecp_fromsb,


(
select sum(ivl.quantity)
from tbinventorymovement mv
left join tbinventoryallocation ivl on ivl.id = mv.allocation
left join tbwarehouselocation wlto on wlto.id = mv.from_location
left join tbwarehousefacility wfto on wfto.id = wlto.facility
where wfto.id = 2 and mv.product = p.id and
      wfto.point_type = 1 and mv.type = 7 and
      DATE(mv.created_date)  between $P{dariTanggal} and $P{sampaiTanggal}
) as gudang_wastecp,

(
select sum(dp.quantity)
from tbinventorymovement mv
left join tbdespatchallocation dp on dp.movement = mv.id
left join tbwarehouselocation wlfrom on wlfrom.id = mv.to_location
left join tbwarehousefacility wffrom on wffrom.id = wlfrom.facility
left join tbwarehouselocation wlto on wlto.id = mv.from_location
left join tbwarehousefacility wfto on wfto.id = wlto.facility
where wffrom.id = 1  and wfto.id = 2 and mv.product = p.id and
      wffrom.point_type = 1 and mv.type = 10 and
      DATE(mv.created_date)  between $P{dariTanggal} and $P{sampaiTanggal}
) as gudang_storegp_fromcp,

(
select sum(dp.quantity)
from tbinventorymovement mv
left join tbdespatchallocation dp on dp.movement = mv.id
left join tbwarehouselocation wlfrom on wlfrom.id = mv.to_location
left join tbwarehousefacility wffrom on wffrom.id = wlfrom.facility
left join tbwarehouselocation wlto on wlto.id = mv.from_location
left join tbwarehousefacility wfto on wfto.id = wlto.facility
where wffrom.id = 1  and wfto.id = 3 and mv.product = p.id and
      wffrom.point_type = 1 and mv.type = 10 and
      DATE(mv.created_date)  between $P{dariTanggal} and $P{sampaiTanggal}
) as gudang_storegp_fromsb,

(
select sum(ivl.quantity)
from tbinventorymovement mv
left join tbinventoryallocation ivl on ivl.id = mv.allocation
left join tbwarehouselocation wlto on wlto.id = mv.from_location
left join tbwarehousefacility wfto on wfto.id = wlto.facility
where wfto.id = 1 and mv.product = p.id and
      wfto.point_type = 1 and mv.type = 7 and
      DATE(mv.created_date)  between $P{dariTanggal} and $P{sampaiTanggal}
) as gudang_wastegp,

(
select sum(dp.quantity)
from tbinventorymovement mv
left join tbdespatchallocation dp on dp.movement = mv.id
left join tbwarehouselocation wlfrom on wlfrom.id = mv.to_location
left join tbwarehousefacility wffrom on wffrom.id = wlfrom.facility
left join tbwarehouselocation wlto on wlto.id = mv.from_location
left join tbwarehousefacility wfto on wfto.id = wlto.facility
where wffrom.id = 3  and wfto.id = 1 and mv.product = p.id and
      wffrom.point_type = 1 and mv.type = 10 and
      DATE(mv.created_date)  between $P{dariTanggal} and $P{sampaiTanggal}
) as gudang_storesb_fromgp,

(
select sum(dp.quantity)
from tbinventorymovement mv
left join tbdespatchallocation dp on dp.movement = mv.id
left join tbwarehouselocation wlfrom on wlfrom.id = mv.to_location
left join tbwarehousefacility wffrom on wffrom.id = wlfrom.facility
left join tbwarehouselocation wlto on wlto.id = mv.from_location
left join tbwarehousefacility wfto on wfto.id = wlto.facility
where wffrom.id = 3  and wfto.id = 2 and mv.product = p.id and
      wffrom.point_type = 1 and mv.type = 10 and
      DATE(mv.created_date)  between $P{dariTanggal} and $P{sampaiTanggal}
) as gudang_storesb_fromcp,

(
select sum(ivl.quantity)
from tbinventorymovement mv
left join tbinventoryallocation ivl on ivl.id = mv.allocation
left join tbwarehouselocation wlto on wlto.id = mv.from_location
left join tbwarehousefacility wfto on wfto.id = wlto.facility
where wfto.id = 3 and mv.product = p.id and
      wfto.point_type = 1 and mv.type = 7 and
      DATE(mv.created_date)  between $P{dariTanggal} and $P{sampaiTanggal}
) as gudang_wastesb


from tbproduct p
left join tbkilogramweight kg on p.kilogram_weight_id = kg.id
order by p.code]]>
	</queryString>
	<field name="code" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="code"/>
		<property name="com.jaspersoft.studio.field.label" value="code"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="short_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="short_name"/>
		<property name="com.jaspersoft.studio.field.label" value="short_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="value" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="value"/>
		<property name="com.jaspersoft.studio.field.label" value="value"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbkilogramweight"/>
	</field>
	<field name="gudang_storecp_fromgp" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gudang_storecp_fromgp"/>
		<property name="com.jaspersoft.studio.field.label" value="gudang_storecp_fromgp"/>
	</field>
	<field name="gudang_storecp_fromsb" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gudang_storecp_fromsb"/>
		<property name="com.jaspersoft.studio.field.label" value="gudang_storecp_fromsb"/>
	</field>
	<field name="gudang_wastecp" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gudang_wastecp"/>
		<property name="com.jaspersoft.studio.field.label" value="gudang_wastecp"/>
	</field>
	<field name="gudang_storegp_fromcp" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gudang_storegp_fromcp"/>
		<property name="com.jaspersoft.studio.field.label" value="gudang_storegp_fromcp"/>
	</field>
	<field name="gudang_storegp_fromsb" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gudang_storegp_fromsb"/>
		<property name="com.jaspersoft.studio.field.label" value="gudang_storegp_fromsb"/>
	</field>
	<field name="gudang_wastegp" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gudang_wastegp"/>
		<property name="com.jaspersoft.studio.field.label" value="gudang_wastegp"/>
	</field>
	<field name="gudang_storesb_fromgp" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gudang_storesb_fromgp"/>
		<property name="com.jaspersoft.studio.field.label" value="gudang_storesb_fromgp"/>
	</field>
	<field name="gudang_storesb_fromcp" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gudang_storesb_fromcp"/>
		<property name="com.jaspersoft.studio.field.label" value="gudang_storesb_fromcp"/>
	</field>
	<field name="gudang_wastesb" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gudang_wastesb"/>
		<property name="com.jaspersoft.studio.field.label" value="gudang_wastesb"/>
	</field>
	<variable name="V_CURRENT_PAGE_NUMBER" class="java.lang.Integer" resetType="Page">
		<variableExpression><![CDATA[1]]></variableExpression>
		<initialValueExpression><![CDATA[$V{PAGE_NUMBER} + 1]]></initialValueExpression>
	</variable>
	<title>
		<band height="148" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="8" width="1080" height="30" uuid="1b30fc41-0cdf-4fcf-8577-143f1fd9ac19"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="19" isBold="true"/>
				</textElement>
				<text><![CDATA[REPORT MASUK GUDANG]]></text>
			</staticText>
			<textField>
				<reportElement x="570" y="87" width="120" height="15" uuid="2b061297-dcf9-4c69-806f-9b0859b2cc51"/>
				<textElement verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Tanggal Download  : "]]></textFieldExpression>
			</textField>
			<textField pattern="HH:mm:ss a">
				<reportElement x="690" y="87" width="205" height="14" uuid="331c37cf-cdcf-403c-b5c5-0076819a8a53"/>
				<textElement verticalAlignment="Middle">
					<font fontName="DejaVu Sans Mono" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("EEEE, dd MMMM yyyy HH:mm:ss", new java.util.Locale("id")).format(new Date())]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="3" y="85" width="37" height="19" uuid="44e5b5dd-f2c2-476c-8640-64643f4b4783"/>
				<box leftPadding="3"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Dari]]></text>
			</staticText>
			<staticText>
				<reportElement x="233" y="85" width="40" height="19" uuid="b2656317-0868-4660-9b14-14acbb8225bf"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Sampai]]></text>
			</staticText>
			<textField pattern="MMMM d, yyyy">
				<reportElement x="273" y="85" width="180" height="19" uuid="0aadeea5-0e94-412b-a2d3-d8030a350530"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" markup="none">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("EEEE, dd MMMM yyyy", new java.util.Locale("id")).format(new java.text.SimpleDateFormat("yyyy-MM-dd").parse($P{sampaiTanggal}))]]></textFieldExpression>
			</textField>
			<textField pattern="MMMM d, yyyy">
				<reportElement x="40" y="85" width="183" height="19" uuid="efc351e5-832a-443d-8151-be89bb7d39e9"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" markup="none">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("EEEE, dd MMMM yyyy", new java.util.Locale("id")).format(new java.text.SimpleDateFormat("yyyy-MM-dd").parse($P{dariTanggal}))]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="108" width="100" height="40" uuid="fa8be757-e465-47f8-9f8d-ffde10e619b0"/>
				<box leftPadding="3">
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Kode]]></text>
			</staticText>
			<staticText>
				<reportElement x="100" y="108" width="330" height="40" uuid="79640c91-55c8-4f99-a7d3-40e2fc46409a"/>
				<box leftPadding="4">
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Nama Barang]]></text>
			</staticText>
			<staticText>
				<reportElement x="430" y="128" width="140" height="20" uuid="c7396d8a-a984-4d44-8e6d-c87325214449"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Jumlah]]></text>
			</staticText>
			<staticText>
				<reportElement x="570" y="128" width="116" height="20" uuid="8a72b818-a4aa-40e5-87ed-69ca4fec5cb6"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Berat]]></text>
			</staticText>
			<textField>
				<reportElement x="430" y="108" width="256" height="19" uuid="be4e0ee6-45b2-4ef2-b0f7-c8b5874a0ae1"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{gudangId}.equals("2") || $P{gudangId}.equals("3") ? "DARI GUNUNG PUTRI " : $P{gudangId}.equals("1") ? "DARI CIPINANG"  :  ""]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="686" y="128" width="140" height="20" uuid="94e433ce-9fac-4a3f-8c9e-167ca6589d26"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Jumlah]]></text>
			</staticText>
			<textField>
				<reportElement x="686" y="108" width="256" height="19" uuid="43db5139-f8f5-420e-bd4e-02ef4ce46428"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{gudangId}.equals("2") || $P{gudangId}.equals("1")? "DARI SURABAYA " : $P{gudangId}.equals("3") ? "DARI CIPINANG" : ""]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="826" y="128" width="116" height="20" uuid="e37b6d95-a53d-42c2-983e-6ac279b2e7f9"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Berat]]></text>
			</staticText>
			<textField>
				<reportElement x="0" y="42" width="453" height="40" uuid="f7f07c46-126c-4397-8195-1dd0f2ba85d2"/>
				<textElement verticalAlignment="Middle">
					<font size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{gudangId}.equals("1") ? "GUDANG GUNUNG PUTRI" : $P{gudangId}.equals("2") ? "GUDANG CIPINANG" : $P{gudangId}.equals("3") ? "GUDANG SURABAYA" : ""]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<detail>
		<band height="21">
			<textField>
				<reportElement x="0" y="0" width="100" height="21" uuid="a2d39fd4-ec6b-483f-9f7f-1074c4e8ad85">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{code}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="100" y="0" width="330" height="21" uuid="4e54ea99-5da7-41a5-b446-51ad457beed8">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{short_name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="570" y="0" width="116" height="21" uuid="c683ec96-2fd7-467b-ad1e-d417bc942c8e">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{gudangId}.equals("2")  ? $F{value} == null || $F{gudang_storecp_fromgp} == null ? new DecimalFormat("#,##0.00").format(0) + "  KG" : 
$F{gudang_wastecp} == null ? new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storecp_fromgp}.subtract(BigDecimal.ZERO) )) + "  KG": 
new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storecp_fromgp}.subtract($F{gudang_wastecp}) )) + "  KG" : 
$P{gudangId}.equals("1")  ? $F{value} == null || $F{gudang_storegp_fromcp} == null ? new DecimalFormat("#,##0.00").format(0) + "  KG" : 
$F{gudang_wastegp} == null ? new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storegp_fromcp}.subtract(BigDecimal.ZERO) )) + "  KG" : 
new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storegp_fromcp}.subtract($F{gudang_wastegp}) )) + "  KG" : 
$P{gudangId}.equals("3")  ? $F{value} == null || $F{gudang_storesb_fromgp} == null ? new DecimalFormat("#,##0.00").format(0) + "  KG" : 
$F{gudang_wastesb} == null ? new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storesb_fromgp}.subtract(BigDecimal.ZERO))) + "  KG" :
new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storesb_fromgp}.subtract($F{gudang_wastesb}))) + "  KG" : ""]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00#;(#,##0.00#-)">
				<reportElement x="686" y="0" width="140" height="21" uuid="ad928c4d-43e7-4dad-8234-89d4d58eada0">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{gudangId}.equals("2")  ? $F{gudang_storecp_fromsb} == null ? 0 : 
$F{gudang_wastecp} == null ? $F{gudang_storecp_fromsb}.subtract(BigDecimal.ZERO)  :
$F{gudang_storecp_fromsb}.subtract($F{gudang_wastecp}) : 
$P{gudangId}.equals("1")  ? $F{gudang_storegp_fromsb} == null ? 0 : 
$F{gudang_wastegp} == null ? $F{gudang_storegp_fromsb}.subtract(BigDecimal.ZERO) :
$F{gudang_storegp_fromsb}.subtract($F{gudang_wastegp}) : 
$P{gudangId}.equals("3")  ? $F{gudang_storesb_fromcp} == null ? 0 : 
$F{gudang_wastesb} == null ? $F{gudang_storesb_fromcp}.subtract(BigDecimal.ZERO) :
$F{gudang_storesb_fromcp}.subtract($F{gudang_wastesb}) : ""]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="826" y="0" width="116" height="21" uuid="93383264-7659-4efb-827b-76ee6b45fe56">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{gudangId}.equals("2")  ? $F{value} == null || $F{gudang_storecp_fromsb}== null ? new DecimalFormat("#,##0.00").format(0) + "  KG" :
$F{gudang_wastecp} == null ? new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storecp_fromsb}.subtract(BigDecimal.ZERO))) + "  KG" :
 new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storecp_fromsb}.subtract($F{gudang_wastecp}))) + "  KG" : 
$P{gudangId}.equals("1")  ? $F{value} == null || $F{gudang_storegp_fromsb}== null ? new DecimalFormat("#,##0.00").format(0) + "  KG" : 
$F{gudang_wastegp} == null ?  new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storegp_fromsb}.subtract(BigDecimal.ZERO))) + "  KG"  : 
new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storegp_fromsb}.subtract($F{gudang_wastegp}))) + "  KG" : 
$P{gudangId}.equals("3")  ? $F{value} == null || $F{gudang_storesb_fromcp}== null ? new DecimalFormat("#,##0.00").format(0) + "  KG" : 
$F{gudang_wastesb} == null ? new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storesb_fromcp}.subtract(BigDecimal.ZERO))) + "  KG"  :
new DecimalFormat("#,##0.00").format($F{value}.multiply($F{gudang_storesb_fromcp}.subtract($F{gudang_wastesb}))) + "  KG" : ""]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00#;(#,##0.00#-)">
				<reportElement x="430" y="0" width="140" height="21" uuid="680ecc67-53ba-417f-a593-6569c539c700">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{gudangId}.equals("2")  ?$F{gudang_storecp_fromgp} == null ? 0 : 
$F{gudang_wastecp} == null ? $F{gudang_storecp_fromgp}.subtract(BigDecimal.ZERO) :
$F{gudang_storecp_fromgp}.subtract($F{gudang_wastecp}) : 
$P{gudangId}.equals("1") ? $F{gudang_storegp_fromcp} == null ? 0 :
$F{gudang_wastegp}  == null ? 
$F{gudang_storegp_fromcp}.subtract(BigDecimal.ZERO) : $F{gudang_storegp_fromcp}.subtract($F{gudang_wastegp}) : 
 $P{gudangId}.equals("3") ? $F{gudang_storesb_fromgp} == null ? 0 : 
$F{gudang_wastesb} == null ?  $F{gudang_storesb_fromgp}.subtract(BigDecimal.ZERO) :
$F{gudang_storesb_fromgp}.subtract($F{gudang_wastesb}) : ""]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
